{
  "name": "@chance/chance-infra",
  "version": "1.0.0",
  "description": "Serverless API to manage infra",
  "main": "serverless.ts",
  "scripts": {
    "dev": "sls offline start",
    "test": "echo \"Error: no test specified\" && exit 1",
    "lint": "eslint --cache \"src/**/*.{js,jsx,ts,tsx}\"",
    "lint:fix": "eslint --cache --fix \"src/**/*.{js,jsx,ts,tsx}\"",
    "format": "prettier --ignore-path .gitignore --write \"**/*.+(js|ts|json)\""
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "*.{js,jsx,ts,tsx}": "yarn run lint:fix"
  },
  "engines": {
    "node": ">=14.15.0"
  },
  "dependencies": {
    "@chance/db": "workspace:*",
    "knex": "^2.4.0"
  },
  "devDependencies": {
    "@chance/awsconfig": "workspace:*",
    "@serverless/typescript": "^3.0.0",
    "@types/aws-lambda": "^8.10.71",
    "@types/node": "^14.14.25",
    "@typescript-eslint/eslint-plugin": "^5.30.7",
    "@typescript-eslint/parser": "^5.30.7",
    "esbuild": "^0.14.11",
    "eslint": "^8.20.0",
    "json-schema-to-ts": "^1.5.0",
    "prettier": "^2.7.1",
    "serverless": "^3.0.0",
    "serverless-esbuild": "^1.23.3",
    "serverless-offline": "^9.1.0",
    "ts-node": "^10.4.0",
    "tsconfig-paths": "^3.9.0",
    "typescript": "^4.1.3"
  },
  "author": "Gerry G",
  "license": "MIT"
}